# Delete customerPaymentJournals
Delete a customer payment journal object from Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
DELETE businesscentralPrefix/companies({id})/customerPaymentJournals({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
If-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the customerPaymentJournals, the customerPaymentJournals won't be updated.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns ```204 No Content``` response code. It doesn't return anything in the response body.
## Example
Request
Here's an example of the request.
```json
DELETE https://{businesscentralPrefix}/api/v2.0/companies({id})/customerPaymentJournals({id})
```
Response
Here's an example of the response.
```json
HTTP/1.1 204 No Content
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_customerpaymentjournal
dynamics_customerpaymentjournal_get
dynamics_customerpaymentjournal_create
dynamics_customerpaymentjournal_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customerpaymentjournal_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_customerpaymentjournal_delete/
